/*===========================================

	AUTHOR
	----------------------
	BPS Bildungsportal Sachsen GmbH
	Dresdner Str. 76, D-09130 Chemnitz

	INFO
	----------------------
	style for user generated content (in iframes)

=============================================*/

@import url(variables.css);

/* FONTS */
/* noto-sans-regular - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: normal;
	font-weight: 400;
	src: url('fonts/noto-sans-v42-latin-regular.woff2') format('woff2');
}

/* noto-sans-italic - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: italic;
	font-weight: 400;
	src: url('fonts/noto-sans-v42-latin-italic.woff2') format('woff2');
}

/* noto-sans-700 - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: normal;
	font-weight: 700;
	src: url('fonts/noto-sans-v42-latin-700.woff2') format('woff2');
}

/* noto-sans-700italic - latin */
@font-face {
	font-display: swap;
	font-family: 'Noto Sans';
	font-style: italic;
	font-weight: 700;
	src: url('fonts/noto-sans-v42-latin-700italic.woff2') format('woff2');
}

html, body {
	font-family: Arial, Verdana, sans-serif;
	font-size: 92%;
	color: var(--main-theme-gray-80);
}

table {
	font-size: inherit;
}

p {
	margin: 0 0 .7em;
}

a {
	color: var(--main-theme-color-50);
}

a:hover, a:focus {
	color: var(--main-theme-color-70);
}

a:focus-visible {
	outline: 2px solid currentColor;
	outline-offset: .2rem;
}

details {
	margin-bottom: 1em;
	padding: .5em .5em 0;
	border: 1px solid var(--main-theme-gray-40);
	border-radius: 4px;
}

details[open] {
	padding: .5em;
}

summary {
	margin: -.5em -.5em 0;
	padding: .5em;
	text-decoration: underline;
	font-weight: bold;
}

details[open] summary {
	border-bottom: 1px solid var(--main-theme-gray-40);
	margin-bottom: .5em;
}

summary:hover {
	cursor: pointer;
}

summary:focus-visible {
	outline: 2px solid currentColor;
	outline-offset: -.3rem;
}

table td p:only-child {
	margin-bottom: 0;
}

.visually-hidden {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	border: 0;
}

.box {
	margin: .5em 0;
	padding: 0.5em;
	border-radius: 4px;
}

.box-light {
	border: 2px solid var(--main-theme-gray-20);
}

.box-info {
	background-color: var(--2nd-theme-color-10);
	color: var(--main-theme-color-60);
}

.box-info a {
	color: var(--main-theme-color-70);
}

.box-success {
	background-color: var(--success-color-5);
	color: var(--success-color-70);
	border: 2px solid var(--success-color-50);
}

.box-success a {
	color: var(--success-color-70);
}

.box-warning {
	background-color: var(--accent-theme-color-10);
	color: var(--accent-theme-color-60);
}

.box-warning a {
	color: var(--accent-theme-color-80);
}

.box-danger {
	background-color: var(--error-color-70);
	color: var(--neutral-white);
}

.box-danger a {
	color: var(--neutral-white);
}

.mce-content-body:focus-visible {
	outline: 2px solid var(--main-theme-gray-50);
	outline-offset: .4rem;
}